array_push
array_reduce
Array Functions
PHP Manual

# array_rand

(PHP 4, PHP 5)

array_rand — Pick one or more random entries out of an array

### Description

mixed array_rand ( array `$input` [, int `$num_req` = 1 ] )

array_rand() is rather useful when you want to pick one or more random entries out of an array.

### Parameters

`input`

  The input array.

`num_req`

  Specifies how many entries you want to pick - if not specified, defaults to 1.

### Return Values

If you are picking only one entry, array_rand() returns the key for a random entry. Otherwise, it returns an array of keys for the random entries. This is done so that you can pick random keys as well as values out of the array.

### Changelog

Version | Description
--- | ---
5.2.10 | The resulting array of keys is no longer shuffled.
4.2.0 | The random number generator is seeded automatically.

### Examples

Example #1 array_rand() example

`<?php
$input = array("Neo", "Morpheus", "Trinity", "Cypher", "Tank");
$rand_keys = array_rand($input, 2);
echo $input[$rand_keys[0]] . "\n";
echo $input[$rand_keys[1]] . "\n";
?>`

### See Also

- shuffle() - Shuffle an array

array_push
array_reduce
Array Functions
PHP Manual